[wxperl-users] Compiling Wx-0.20 with wxWidgets-2.5.2 on Windows

I'm trying to compile Wx-0.20 using wxWidgets 2.5.2 on Windows 2000,
using VC6. Makefile.PL complains about "no such lib 'adv' at
c:/Wx/build/Wx/build/Config/Win32_MSVC.pm line 97.". I remember there
was such a lib in 2.4, but it is (I think) gone in 2.5. Is there
something I can do to trick Makefile.PL into continuing anyway?

Greetings,
   Christian

-- 
crenz@web42.com - http://www.web42.com/crenz/ - http://www.web42.com/

"A man who gives in to temptation after five minutes simply does not
know what it would have been like an hour later. That is why bad
people, in one sense, know very little about badness. They have lived
a sheltered life by always giving in."  -- C.S. Lewis

0
crenz
9/29/2004 11:09:59 AM
perl.wxperl.users 3070 articles. 0 followers. Follow

4 Replies
532 Views

Similar Articles

[PageSpeed] 56

>Is there something I can do to trick Makefile.PL into continuing anyway?

I mean, I can just remove 'adv' from @lib, but is there an official way?

-- 
crenz@web42.com - http://www.web42.com/crenz/ - http://www.web42.com/

"So, who am I to disagree with God? :-)"  -- Larry Wall

0
crenz
9/29/2004 11:17:48 AM
--- Christian Renz <crenz-wxperl@web42.com> wrote:

> I'm trying to compile Wx-0.20 using wxWidgets 2.5.2 on Windows 2000,
> using VC6. Makefile.PL complains about "no such lib 'adv' at
> c:/Wx/build/Wx/build/Config/Win32_MSVC.pm line 97.". I remember there
> was such a lib in 2.4, but it is (I think) gone in 2.5. Is there
> something I can do to trick Makefile.PL into continuing anyway?

Why don't you just build adv?

%wxwin%\build\msw\


		
__________________________________
Do you Yahoo!?
Read only the mail you want - Yahoo! Mail SpamGuard.
http://promotions.yahoo.com/new_mail 

0
crazyinsomniac
9/30/2004 6:03:02 AM
On Wed, 29 Sep 2004 12:59:39 +0200 Christian Renz <crenz-wxperl@web42.com> wrote:

> I'm trying to compile Wx-0.20 using wxWidgets 2.5.2 on Windows 2000,
> using VC6. Makefile.PL complains about "no such lib 'adv' at
> c:/Wx/build/Wx/build/Config/Win32_MSVC.pm line 97.". I remember there
> was such a lib in 2.4, but it is (I think) gone in 2.5. Is there
> something I can do to trick Makefile.PL into continuing anyway?

  On the contrary, it is a new lib in wxWIdgets 2.5.x.
What are the contents of %WXWIN%\lib? There should be
something (a .dll and a .lib at least) containing "_adv_"
in their name.

Regards
Mattia


0
mattia
10/5/2004 6:55:34 PM
DH, Mattia -- the problem was between the keyboard and the
chair. I used the VC++ project files in wxWidgets' src/ directory. It
didn't really help to use the ones in the build/ directory, but once I
followed the instructions in the wxPerl README and adapted them to
2.5.2, it worked.

Basically, I did a 

  nmake -f makefile.vc BUILD=release SHARED=1

in the build directory as well as XRC's and STC's build
directory. That did the trick.

Greetings,
   Christian

-- 
crenz@web42.com - http://www.web42.com/crenz/ - http://www.web42.com/

"You don't have a soul. You are a Soul. You have a body."  -- C.S. Lewis

0
crenz
10/5/2004 10:14:40 PM
Reply:

Similar Artilces:

[wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
I've just built wxPerl 0.20 as indicated in the subject, and I had a few issues: First, the syntax for wx-config used in Any_wx_config.pm::get_core_libs_25 seems to have changed: Instead of "--libs=list" it's now "--libs list". Next, Makemaker is building the root Makefile with both blibdirs: and blibdirs::. That produces an error. Changing the single colon to a double colon fixes the problem, but it has to be done every time one runs Makefile.PL. I couldn't figure out where to fix it in the MakeMaker files. Last, could you take out the...

Re:[wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
> I've just built wxPerl 0.20 as indicated in the subject, and I had a =0D = > few issues: > > First, the syntax for wx-config used in > Any_wx_c= onfig.pm::get_core_libs_25 seems to have changed: Instead of > "--libs=3D= list" it's now "--libs list". yes, it was changes in wxWidgets CVS l= ast week. > Next, Makemaker is building the root Makefile with both b= libdirs: and Which MakeMaker version? If 6.22, downgrade to 6.17 or= use the snapshot at makemaker.org. > blibdirs::. That produces an = error. Cha...

Re: [wxperl-users] wxPerl-0.20 Source Build on OSX.3.5/wxPython 2.5.2.7
> MakeMaker 6.21. Sorry. Below I meant to write: "If 6.21, downgrad= e to 6.17 or use the snapshot at makemaker.org." ^^^^ Regards=0D = Mattia > On Aug 18, 2004, at 11:56 PM, mattia.barbon@libero.it wrote:=0D = > ''' > >> Next, Makemaker is building the root Makefile with both blibd= irs: and > > > > Which MakeMaker version? If 6.22, downgrade to 6.17 = or > > use the snapshot at makemaker.org. > > > ... > > Thanks! > > = Mattia > > > > > > > > > &g...

RE: [wxperl-users] Plans for wxPerl 0.23, wxWidgets 2.6.0 #2
Hello, > I tried to compile wxPerl CVS against 2.6.0 and I got the = errors as below. > > I am compiling on WinXP using MSVC6. Should this = work? Have others > successfully compiled? Yes, but with MSVC 5 and= GCC (various versions), not MSVC 6. Are you up to date with MSVC servic= e packs? > C:\Perl\bin\perl.exe C:\Perl\lib\ExtUtils/xsubpp = -noprototypes > -nolinen <snip> > Grid.c(390) : warning C4189: 'CLAS= S' : local variable is initialized but not > referenced > Grid.c(464) := fatal error C1001: INTERNA...

[wxperl-users] [ wxperl-Bugs-935780 ] WxPerl 0.18 fails to compile with wxGTK 2.5.1
Bugs item #935780, was opened at 2004-04-15 19:21 Message generated for change (Tracker Item Submitted) made by Item Submitter You can respond by visiting: https://sourceforge.net/tracker/?func=detail&atid=115655&aid=935780&group_id=15655 Category: None Group: None Status: Open Resolution: None Priority: 5 Submitted By: Philipp Thomas (psmt) Assigned to: Nobody/Anonymous (nobody) Summary: WxPerl 0.18 fails to compile with wxGTK 2.5.1 Initial Comment: When trying to compile WxPerl against wxGTK 2.5.1, g++ stops with an error because in 2.5.1 void wxLogTrace...

[wxperl-users] wxPerl 0.22 with wxWidgets 2.5.4
Hi, I just compiled wxWidgets 2.5.4 with mingw (dev cpp) and wxPerl 0.22 on =20 WinXP ActivePerl 5.8.4. The demo workes and some other scripts I tested. But I get some errors while testing and cause it's my first time compilin= g =20 on WinXP (BTW: feels good ;-) ) I don't really know what they mean. Here is the test report. greetz & blessings Manuel ########################### C:\Perl\bin\perl.exe "-MExtUtils::Command::MM" "-e" =20 "test_harness(0, 'bl ib\lib', 'blib\arch')" t\01_load.t t\02_inheritance.t ...

Re:[wxperl-users] wxPerl 0.22 with wxWidgets 2.5.4
Hello, > I just compiled wxWidgets 2.5.4 with mingw (dev cpp) and wx= Perl 0.22 on > WinXP ActivePerl 5.8.4. > The demo workes and some oth= er scripts I tested. > But I get some errors while testing and cause it'= s my first time compiling > on WinXP (BTW: feels good ;-) ) I don't re= ally know what they mean. In this case the error is more of a warnin= g, but I will correct it ASAP. There will be no problems in running any = wxPerl application. Thanks! Mattia =0A=0A=0A=0A____________________= ________________________________________=0A6X...

[wxperl-users] Ubuntu wxPerl 0.65 with wxWidgets 2.8.0
I managed to get wxPerl 0.65 to build against the new wxWidgets 2.8.0. I used the Ubuntu wxWidgets binaries for 2.8.0 (http://www.wxwidgets.org/downloads/), but had a few problems with Alien::WxWidgets: mike@mbs:~/downloads/Alien-wxWidgets-0.25$ perl Build 'animate' library not found at inc/My/Build/Any_wx_config.pm line 141. 'deprecated' library not found at inc/My/Build/Any_wx_config.pm line 141. So I added this line to inc/My/Build/Any_wx_config.pm: next if $k =~ m/^animate|deprecated$/; just to see if things would build, etc. After that everything ...

[wxperl-users] Plans for wxPerl 0.23, wxWidgets 2.6.0
Hello, as some of you might already know, wxWidgets 2.6.0, the next stable wxWidgets release, has just been ...err... released. I would like to release wxPerl 0.23 as soon as RPMs become available, but I am definitely not going to provide binaries for all combinations of Perl 5.6.x/5.8.x, wxWidgets 2.4.2/2.6.0, Unicode/non Unicode, for Windows, GTK2, Mac OS X. I am going to provide only wxWidgets 2.6.x releases from now on, and I will consider if I will keep distributing Perl 5.6.x-enabled binaries. If anybody is willing to take the time to compile and relase wxWidgets 2.4....

Re: [wxperl-users] Ubuntu wxPerl 0.65 with wxWidgets 2.8.0
> I managed to get wxPerl 0.65 to build against the new wxWidgets 2.8.0. > > I used the Ubuntu wxWidgets binaries for 2.8.0 > (http://www.wxwidgets.org/downloads/), but had a few problems with > Alien::WxWidgets: > > mike@mbs:~/downloads/Alien-wxWidgets-0.25$ perl Build > 'animate' library not found at inc/My/Build/Any_wx_config.pm line 141. > 'deprecated' library not found at inc/My/Build/Any_wx_config.pm line 14= 1. > > So I added this line to inc/My/Build/Any_wx_config.pm: > > next if $k =3D~ m/^animate|deprecated...

Re: [wxperl-users] Plans for wxPerl 0.23, wxWidgets 2.6.0
Hello, > Mattia Barbon wrote: > > > I am going to provide only w= xWidgets 2.6.x releases from now on, > >and I will consider if I will ke= ep distributing Perl 5.6.x-enabled > >binaries. If anybody is willing to= take the time to compile and relase > >wxWidgets 2.4.x binaries, I will= most gratefully grant him/her the > >appropriate permissions, otherwise= I will just drop those combination from > >binary releases (I will keep= support in the sources). > > > > > If there is anyone who would sti= ll like sup...

[wxperl-users] [ wxperl-Patches-1015129 ] wxFIXED_MINSIZE added in 2.5.2
Patches item #1015129, was opened at 2004-08-24 10:07 Message generated for change (Tracker Item Submitted) made by Item Submitter You can respond by visiting: https://sourceforge.net/tracker/?func=detail&atid=315655&aid=1015129&group_id=15655 Category: None Group: None Status: Open Resolution: None Priority: 5 Submitted By: D.H. (crazyinsomniac) Assigned to: Nobody/Anonymous (nobody) Summary: wxFIXED_MINSIZE added in 2.5.2 Initial Comment: --- Constant.xs 2004-08-24 03:00:13.093750000 - 0700 +++ Constant.xs.new 2004-08-24 03:04:18.781250000 -0700 @@ -836...

[wxperl-users] [ wxperl-Patches-1161088 ] Listbook GetListView not in 2.5.2
Patches item #1161088, was opened at 2005-03-10 19:17 Message generated for change (Tracker Item Submitted) made by Item Submitter You can respond by visiting: https://sourceforge.net/tracker/?func=detail&atid=315655&aid=1161088&group_id=15655 Category: None Group: None Status: Open Resolution: None Priority: 5 Submitted By: Nobody/Anonymous (nobody) Assigned to: Nobody/Anonymous (nobody) Summary: Listbook GetListView not in 2.5.2 Initial Comment: Not sure if it was added in 2.5.3 or 2.5.4, but something like this is needed in XS/Listbook.xsp #if WXPERL_W...

[wxperl-users] Again... Win XP look with wx 2.5.2
Hello, I'm running wxWidgets 2.5.2 with wxperl-0.19 under Win32 (windows XP SP1), Perl 5.8.4 from Activestate. The application is transformed to a single executable file with PAR and pp. => I would like to get the Windows XP look for my application. The wxperl documentation gives me this: > For standalone (packed using PAR, Perl2Exe, Perl2App, ...) applications > to get Windows XP look, a file named "App.exe.manifest" (assuming the > program is named "App.exe") and containing the text below must be placed > in the same directory as t...

Web resources about - [wxperl-users] Compiling Wx-0.20 with wxWidgets-2.5.2 on Windows - perl.wxperl.users

O'Reilly Open Source Convention 2007 • July 23-27, 2007 • Portland, Oregon
O'Reilly Open Source Convention 2007 - July 23-27, 2007 - Portland, Oregon

Resources last updated: 11/26/2015 2:14:10 AM